TechNet
Exportar (0) Imprimir
Expandir Tudo

Microsoft Security Bulletin MS14-011 - Crítica

Vulnerabilidade no mecanismo de script VBScript pode permitir execução remota de código (2928390)

Publicado: terça-feira, 11 de fevereiro de 2014

Versão: 1.0

Informações Gerais

Sinopse

Esta atualização de segurança elimina uma vulnerabilidade relatada em particular no mecanismo de script VBScript no Microsoft Windows. A vulnerabilidade pode permitir a execução remota de código caso um usuário tenha visitado um site especialmente criado. Não há como o invasor forçar os usuários a visitarem o site mal-intencionado. Em vez disso, ele precisa convencer os usuários a executar uma ação, como clicar em um link em um email ou em uma mensagem do Instant Messenger que leve os usuários ao site do invasor.

Esta atualização de segurança foi classificada como Crítica para as versões afetadas do mecanismo de script VBScript em clientes Windows afetados e como Moderada para as versões afetadas do mecanismo de script VBScript em servidores Windows afetados. Para obter mais informações, consulte a subseção Softwares afetados e não afetados, nesta seção.

A atualização de segurança elimina a vulnerabilidade, modificando a maneira como o mecanismo de script VBScript gerencia objetos na memória. Para obter mais informações sobre a vulnerabilidade, consulte a subseção Perguntas frequentes relacionada à entrada da vulnerabilidade específica presente na próxima seção, Informações sobre a vulnerabilidade.

Recomendação. A maioria dos clientes tem o recurso de atualizações automáticas habilitado e não precisará tomar nenhuma providência porque esta atualização de segurança será baixada e instalada automaticamente. Os clientes que não têm o recurso de atualizações automáticas habilitado precisarão verificar as atualizações e instalar esta atualização manualmente. Para obter informações sobre opções de configuração específicas em atualizações automáticas, consulte o Artigo 294871 (em inglês) da Microsoft Knowledge Base.

Para instalações feitas por administradores ou empresas, ou por usuários finais que desejam instalar esta atualização de segurança manualmente, a Microsoft recomenda que os clientes apliquem a atualização imediatamente usando software de gerenciamento de atualização ou verificando se há atualizações no serviço Microsoft Update.

Consulte também a seção Orientação e ferramentas de detecção e implantação mais adiante neste boletim.

Artigo da Microsoft Knowledge Base:

Artigo da Microsoft Knowledge Base: 2928390
Informações sobre o arquivoSim
Hashes SHA1/SHA2Sim
Problemas conhecidosNão

Softwares afetados e não afetados

O software a seguir foi testado para determinar quais versões ou edições foram afetadas. O ciclo de vida do suporte das outras versões ou edições já terminou ou elas não são afetadas. Para determinar o ciclo de vida do suporte para sua versão ou edição de software, visite o site Ciclo de vida do suporte Microsoft.

Softwares afetados

Sistema operacionalComponenteImpacto máximo à segurançaAvaliação de gravidade agregadaAtualizações substituídas
VBScript 5.6
Windows XP Professional x64 Edition Service Pack 2 VBScript 5.6 
(2909213)
Execução remota de códigoCrítica981350 no boletim MS10-022
Windows Server 2003 Service Pack 2 VBScript 5.6 
(2909213)
Execução remota de códigoModerada981350 no boletim MS10-022
Windows Server 2003 x64 Edition Service Pack 2 VBScript 5.6 
(2909213)
Execução remota de códigoModerada981350 no boletim MS10-022
Windows Server 2003 com SP2 para sistemas baseados no Itanium VBScript 5.6 
(2909213)
Execução remota de códigoModerada981350 no boletim MS10-022
VBScript 5.7
Windows XP Service Pack 3 VBScript 5.7 
(2909212)
Execução remota de códigoCrítica981349 no boletim MS10-022
Windows XP Professional x64 Edition Service Pack 2 VBScript 5.7 
(2909212)
Execução remota de códigoCrítica981349 no boletim MS10-022
Windows Server 2003 Service Pack 2 VBScript 5.7 
(2909212)
Execução remota de códigoModerada981349 no boletim MS10-022
Windows Server 2003 x64 Edition Service Pack 2 VBScript 5.7 
(2909212)
Execução remota de códigoModerada981349 no boletim MS10-022
Windows Server 2003 com SP2 para sistemas baseados no Itanium VBScript 5.7 
(2909212)
Execução remota de códigoModerada981349 no boletim MS10-022
Windows Vista Service Pack 2 VBScript 5.7 
(2909212)
Execução remota de códigoCrítica981349 no boletim MS10-022
Windows Vista x64 Edition Service Pack 2 VBScript 5.7 
(2909212)
Execução remota de códigoCrítica981349 no boletim MS10-022
Windows Server 2008 para sistemas de 32 bits Service Pack 2 VBScript 5.7 
(2909212)
Execução remota de códigoModerada981349 no boletim MS10-022
Windows Server 2008 para sistemas baseados em x64 Service Pack 2 VBScript 5.7 
(2909212)
Execução remota de códigoModerada981349 no boletim MS10-022
Windows Server 2008 para sistemas baseados no Itanium Service Pack 2 VBScript 5.7 
(2909212)
Execução remota de códigoModerada981349 no boletim MS10-022
VBScript 5.8 (Internet Explorer 8)
Windows XP Service Pack 3 VBScript 5.8 
(2909210)
Execução remota de códigoCrítica981332 no boletim MS10-022
Windows XP Professional x64 Edition Service Pack 2 VBScript 5.8 
(2909210)
Execução remota de códigoCrítica981332 no boletim MS10-022
Windows Server 2003 Service Pack 2 VBScript 5.8 
(2909210)
Execução remota de códigoModerada981332 no boletim MS10-022
Windows Server 2003 x64 Edition Service Pack 2 VBScript 5.8 
(2909210)
Execução remota de códigoModerada981332 no boletim MS10-022
Windows Vista Service Pack 2 VBScript 5.8 
(2909210)
Execução remota de códigoCrítica981332 no boletim MS10-022
Windows Vista x64 Edition Service Pack 2 VBScript 5.8 
(2909210)
Execução remota de códigoCrítica981332 no boletim MS10-022
Windows Server 2008 para sistemas de 32 bits Service Pack 2 VBScript 5.8 
(2909210)
Execução remota de códigoModerada981332 no boletim MS10-022
Windows Server 2008 para sistemas baseados em x64 Service Pack 2 VBScript 5.8 
(2909210)
Execução remota de códigoModerada981332 no boletim MS10-022
Windows 7 para sistemas de 32 bits Service Pack 1 VBScript 5.8 
(2909210)
Execução remota de códigoCríticaNenhuma
Windows 7 para Sistemas Service Pack 1 baseados em x64 VBScript 5.8 
(2909210)
Execução remota de códigoCríticaNenhuma
Windows Server 2008 R2 para Sistemas Service Pack 1 baseados em x64 VBScript 5.8 
(2909210)
Execução remota de códigoModeradaNenhuma
Windows Server 2008 R2 para sistemas baseados no Itanium Service Pack 1 VBScript 5.8 
(2909210)
Execução remota de códigoModeradaNenhuma
VBScript 5.8 (Internet Explorer 9)
Windows Vista Service Pack 2VBScript 5.8[1]Execução remota de códigoCríticaNão Aplicável
Windows Vista x64 Edition Service Pack 2VBScript 5.8[1]Execução remota de códigoCríticaNão Aplicável
Windows Server 2008 para sistemas de 32 bits Service Pack 2VBScript 5.8[1]Execução remota de códigoModeradaNão Aplicável
Windows Server 2008 para sistemas baseados em x64 Service Pack 2VBScript 5.8[1]Execução remota de códigoModeradaNão Aplicável
Windows 7 para sistemas de 32 bits Service Pack 1VBScript 5.8[1]Execução remota de códigoCríticaNão Aplicável
Windows 7 para Sistemas Service Pack 1 baseados em x64VBScript 5.8[1]Execução remota de códigoCríticaNão Aplicável
Windows Server 2008 R2 para Sistemas Service Pack 1 baseados em x64VBScript 5.8[1]Execução remota de códigoModeradaNão Aplicável
VBScript 5.8 (Internet Explorer 10)
Windows 7 para sistemas de 32 bits Service Pack 1 VBScript 5.8 
(2909210)
Execução remota de códigoCríticaNenhuma
Windows 7 para Sistemas Service Pack 1 baseados em x64 VBScript 5.8 
(2909210)
Execução remota de códigoCríticaNenhuma
Windows Server 2008 R2 para Sistemas Service Pack 1 baseados em x64 VBScript 5.8 
(2909210)
Execução remota de códigoModeradaNenhuma
Windows 8 para sistemas de 32 bits VBScript 5.8 
(2909210)
Execução remota de códigoCríticaNenhuma
Windows 8 para sistemas baseados em x64 VBScript 5.8 
(2909210)
Execução remota de códigoCríticaNenhuma
Windows Server 2012 VBScript 5.8 
(2909210)
Execução remota de códigoModeradaNenhuma
Windows RTVBScript 5.8[2] 
(2909210)
Execução remota de códigoCríticaNenhuma
VBScript 5.8 (Internet Explorer 11)
Windows 7 para sistemas de 32 bits Service Pack 1 VBScript 5.8 
(2909210)
Execução remota de códigoCríticaNenhuma
Windows 7 para Sistemas Service Pack 1 baseados em x64 VBScript 5.8 
(2909210)
Execução remota de códigoCríticaNenhuma
Windows Server 2008 R2 para Sistemas Service Pack 1 baseados em x64 VBScript 5.8 
(2909210)
Execução remota de códigoModeradaNenhuma
Windows 8.1 para sistemas de 32 bits VBScript 5.8 
(2909210)
Execução remota de códigoCríticaNenhuma
Windows 8.1 para sistemas baseados em x64 VBScript 5.8 
(2909210)
Execução remota de códigoCríticaNenhuma
Windows Server 2012 R2 VBScript 5.8 
(2909210)
Execução remota de códigoModeradaNenhuma
Windows RT 8.1VBScript 5.8[2] 
(2909210)
Execução remota de códigoCríticaNenhuma
instalação Server Core
Windows Server 2008 para sistemas de 32 bits Service Pack 2 (instalação Server Core) VBScript 5.7 
(2909212)
NenhumaNenhuma avaliação de gravidade [3]Nenhuma
Windows Server 2008 para sistemas baseados em x64 Service Pack 2 (instalação Server Core) VBScript 5.7 
(2909212)
NenhumaNenhuma avaliação de gravidade [3]Nenhuma
Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (instalação Server Core) VBScript 5.8 
(2909210)
NenhumaNenhuma avaliação de gravidade [3]Nenhuma
Windows Server 2012 (instalação Server Core) VBScript 5.8 
(2909210)
NenhumaNenhuma avaliação de gravidade [3]Nenhuma
Windows Server 2012 R2 (instalação Server Core) VBScript 5.8 
(2909210)
NenhumaNenhuma avaliação de gravidade [3]Nenhuma

[1] Em sistemas que executam o Internet Explorer 9, a vulnerabilidade é eliminada pela atualização cumulativa 2909921 para o Internet Explorer 9. Para obter mais informações, consulte as Perguntas frequentes de atualização.

[2] Essa atualização está disponível no Windows Update.

[3] As avaliações de gravidade não se aplicam a esta atualização para o software especificado porque os vetores de ataque pelo Internet Explorer conhecidos pela vulnerabilidade abordada neste boletim estão bloqueados. No entanto, como uma medida de defesa profunda, a Microsoft recomenda que os clientes desse software apliquem essa atualização de segurança para ajudar a proteger contra possíveis novos vetores de ataque identificados no futuro.

Observação: em alguns casos, a versão do mecanismo de script VBScript instalada em um sistema é dependente do sistema operacional e, em outros casos, a versão do mecanismo de script VBScript é dependente da versão do Internet Explorer instalada no sistema. Por exemplo, a atualização VBScript 5.8 (Internet Explorer 8) aplica-se a sistemas Windows 7 por padrão. No entanto, a atualização VBScript 5.8 (Internet Explorer 8) aplica-se somente a sistemas Windows Vista que têm o Internet Explorer 8 instalado. Para obter mais informações, consulte "Como determinar qual versão do mecanismo de script VBScript está instalada no meu sistema?" nas Perguntas frequentes de atualização.

Meu sistema executa o Internet Explorer 9. Onde está a atualização? 
Para sistemas que executam o Internet Explorer 9, a vulnerabilidade é eliminada pela atualização cumulativa 2909921 para o Internet Explorer 9 (consulte o MS14-010 para obter informações atualizadas e links para download).

Em todos os outros sistemas afetados, a vulnerabilidade é eliminada pelas atualizações descritas neste boletim. Para obter mais informações, consulte "Qual atualização se aplica ao meu sistema?" nas Perguntas frequentes de atualização.

Como determinar qual versão do mecanis mo de script VBScript está instalada no meu sistema? 
O mecanismo de script VBScript está instalado nas versões com suporte do Microsoft Windows. Além disso, instalar uma versão mais atual do Internet Explorer em um sistema pode alterar a versão do mecanismo de script VBScript instalado.

Para determinar a versão do mecanismo de script VBScript instalada em seu sistema, execute as seguintes etapas:

  1. Abra o Windows Explorer.
  2. Navegue até o diretório %systemroot%\system32.
  3. Clique com o botão direito do mouse em vbscript.dll, selecione Propriedades e, em seguida, clique em Detalhes.

O número da versão está listado no campo Versão do Arquivo. Se a versão do seu arquivo começar com 5.8, por exemplo, 5.8.7600.16385, o VBScript 5.8 está instalado em seu sistema.

A tabela a seguir ilustra como a versão do mecanismo de script VBScript pode mudar com base na versão do Internet Explorer instalada:

Sistema operacionalInstalação padrão Com versão mais atual do Internet Explorer instalado
Windows XP Service Pack 3VBScript 5.7 VBScript 5.8 com Internet Explorer 8
Windows XP Professional x64 Edition Service Pack 2VBScript 5.6VBScript 5.7 com Internet Explorer 7

VBScript 5.8 com Internet Explorer 8
Windows Server 2003 Service Pack 2VBScript 5.6VBScript 5.7 com Internet Explorer 7

VBScript 5.8 com Internet Explorer 8
Windows Server 2003 x64 Edition Service Pack 2VBScript 5.6VBScript 5.7 com Internet Explorer 7

VBScript 5.8 com Internet Explorer 8
Windows Server 2003 com SP2 para sistemas baseados no ItaniumVBScript 5.6VBScript 5.7 com Internet Explorer 7
Windows Vista Service Pack 2VBScript 5.7VBScript 5.8 com Internet Explorer 8

VBScript 5.8 com Internet Explorer 9
Windows Vista x64 Edition Service Pack 2VBScript 5.7VBScript 5.8 com Internet Explorer 8

VBScript 5.8 com Internet Explorer 9
Windows Server 2008 para sistemas de 32 bits Service Pack 2VBScript 5.7VBScript 5.8 com Internet Explorer 8

VBScript 5.8 com Internet Explorer 9
Windows Server 2008 para sistemas de 32 bits Service Pack 2 (instalação Server Core)VBScript 5.7Não Aplicável
Windows Server 2008 para sistemas baseados em x64 Service Pack 2 VBScript 5.7VBScript 5.8 com Internet Explorer 8

VBScript 5.8 com Internet Explorer 9
Windows Server 2008 para sistemas baseados em x64 Service Pack 2 (instalação Server Core)VBScript 5.7Não Aplicável
Windows Server 2008 para sistemas baseados no Itanium Service Pack 1VBScript 5.7Não Aplicável
Windows 7 para sistemas de 32 bits Service Pack 1VBScript 5.8VBScript 5.8 com Internet Explorer 9

VBScript 5.8 com Internet Explorer 10

VBScript 5.8 com Internet Explorer 11
Windows 7 para Sistemas Service Pack 1 baseados em x64VBScript 5.8VBScript 5.8 com Internet Explorer 9

VBScript 5.8 com Internet Explorer 10

VBScript 5.8 com Internet Explorer 11
Windows Server 2008 R2 para Sistemas Service Pack 1 baseados em x64VBScript 5.8VBScript 5.8 com Internet Explorer 9

VBScript 5.8 com Internet Explorer 10

VBScript 5.8 com Internet Explorer 11
Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (instalação Server Core)VBScript 5.8Não Aplicável
Windows Server 2008 R2 para sistemas baseados no Itanium Service Pack 1VBScript 5.8Não Aplicável
Windows 8 para sistemas de 32 bitsVBScript 5.8 Não Aplicável
Windows 8 para sistemas baseados em x64 VBScript 5.8Não Aplicável
Windows Server 2012VBScript 5.8Não Aplicável
Windows Server 2012 (instalação Server Core)VBScript 5.8Não Aplicável
Windows RTVBScript 5.8Não Aplicável
Windows 8.1 para sistemas de 32 bitsVBScript 5.8Não Aplicável
Windows 8.1 para sistemas baseados em x64 VBScript 5.8Não Aplicável
Windows Server 2012 R2VBScript 5.8Não Aplicável
Windows Server 2012 R2 (instalação Server Core)VBScript 5.8Não Aplicável
Windows RT 8.1VBScript 5.8Não Aplicável

Observação: o Windows Server 2008, Windows Server 2008 R2, Windows Server 2012 e Windows Server 2012 R2 podem ser instalados com o uso da opção de instalação Server Core. Para obter mais informações sobre esta opção de instalação, consulte os artigos da Technet Managing a Server Core Installation (em inglês): Overview, Servicing a Server Core Installation, e Server Core and Full Server Integration Overview.

Qual atualização se aplica ao meu sistema? 
A atualização que se aplica ao seu sistema depende da versão do mecanismo de script VBScript instalada. Consulte a tabela a seguir para obter informações sobre a atualização.

VersãoMS14-011MS14-010
VBScript 5.6VBScript 5.6 
(2909213)
Não Aplicável
VBScript 5.7VBScript 5.7 
(2909212)
Não Aplicável
VBScript 5.8
(Internet Explorer 8)
VBScript 5.8 
(2909210)
Não Aplicável
VBScript 5.8
(Internet Explorer 9)
Não AplicávelInternet Explorer 9 
(2909921)
VBScript 5.8
(Internet Explorer 10)
VBScript 5.8 
(2909210)
Não Aplicável
VBScript 5.8
(Internet Explorer 11)
VBScript 5.8 
(2909210)
Não Aplicável

O que é defesa profunda ?  
Em segurança da informação, defesa profunda se refere a uma abordagem em que várias camadas de defesa são estabelecidas para ajudar a impedir que invasores comprometam a segurança de uma rede ou sistema.

Uso uma versão mais antiga do software discutido neste boletim de segurança. O que devo fazer? 
Os softwares afetados listados neste boletim foram testados para determinar quais edições são afetadas. Outras versões passaram seu ciclo de vida de suporte. Para obter mais informações sobre o ciclo de vida do produto, visite o site Ciclo de vida do suporte Microsoft.

Os clientes que possuem versões anteriores do software devem priorizar a migração para as versões com suporte, a fim de evitar uma possível exposição a vulnerabilidades. Para determinar o ciclo de vida do suporte para sua versão de software, consulte Selecione um Produto para Obter Informações do Ciclo de Vida. Para obter mais informações sobre service packs para essas versões de software, consulte Política de Suporte do Ciclo de Vida do Service Pack.

Os clientes que precisarem de suporte adicional para software mais antigo deverão entrar em contato com o representante da equipe de contas da Microsoft, o gerente técnico da conta ou o representante do parceiro Microsoft apropriado para obter opções de suporte personalizadas. Os clientes sem um contrato Alliance, Premier ou Authorized podem entrar em contato com o escritório de vendas local da Microsoft. Para obter informações de contato, visite o site de Informações internacionais da Microsoft, selecione o país na lista de informações de contato e, em seguida, clique em Ir para ver uma lista de telefones. Ao ligar, peça para falar com o gerente de vendas local de Suporte Premier. Para obter mais informações, consulte as Perguntas Frequentes sobre a Política do Ciclo de Vida do Suporte da Microsoft.

Informações sobre a vulnerabilidade

As classificações de gravidade a seguir pressupõem o impacto máximo possível da vulnerabilidade. Para obter informações referentes à probabilidade de exploração da vulnerabilidade em relação à sua classificação de gravidade e ao impacto à segurança, dentro de 30 dias a partir do lançamento deste boletim de segurança, consulte o Índice de exploração no resumo de boletins de fevereiro. Para obter mais informações, consulte o Índice de exploração da Microsoft.

A Classificação de gravidade de vulnerabilidade e Impacto máximo de segurança por software afetado
Softwares afetadosVulnerabilidade de corrupção de memória do VBScript – CVE-2014-0271Avaliação de gravidade agregada
VBScript 5.6
VBScript 5.6 no Windows XP Professional x64 Edition Service Pack 2 Crítica
Execução remota de código
Crítica
VBScript 5.6 no Windows Server 2003 Service Pack 2 Moderada
Execução remota de código
Moderada
VBScript 5.6 no Windows Server 2003 x64 Edition Service Pack 2 Moderada
Execução remota de código
Moderada
VBScript 5.6 no Windows Server 2003 com SP2 para sistemas baseados no Itanium Moderada
Execução remota de código
Moderada
VBScript 5.7
VBScript 5.7 no Windows XP Service Pack 3 Crítica
Execução remota de código
Crítica
VBScript 5.7 no Windows XP Professional x64 Edition Service Pack 2 Crítica
Execução remota de código
Crítica
VBScript 5.7 no Windows Server 2003 Service Pack 2 Moderada
Execução remota de código
Moderada
VBScript 5.7 no Windows Server 2003 x64 Edition Service Pack 2 Moderada
Execução remota de código
Moderada
VBScript 5.7 no Windows Server 2003 com SP2 para sistemas baseados no Itanium Moderada
Execução remota de código
Moderada
VBScript 5.7 no Windows Vista Service Pack 2 Crítica
Execução remota de código
Crítica
VBScript 5.7 no Windows vista x64 Edition Service Pack 2 Crítica
Execução remota de código
Crítica
VBScript 5.7 no Windows Server 2008 para sistemas de 32 bits Service Pack 2 Moderada
Execução remota de código
Moderada
VBScript 5.7 no Windows Server 2008 para sistemas Service Pack 2 baseados em x64 Moderada
Execução remota de código
Moderada
VBScript 5.7 no Windows Server 2008 para sistemas baseados no Itanium Service Pack 2 Moderada
Execução remota de código
Moderada
VBScript 5.8 (Internet Explorer 8)
VBScript 5.8 no Windows XP Service Pack 3 Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows XP Professional x64 Edition Service Pack 2 Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows Server 2003 Service Pack 2 Moderada
Execução remota de código
Moderada
VBScript 5.8 no Windows Server 2003 x64 Edition Service Pack 2 Moderada
Execução remota de código
Moderada
VBScript 5.8 no Windows Vista Service Pack 2 Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows Vista x64 Edition Service Pack 2 Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows Server 2008 para sistemas de 32 bits Service Pack 2 Moderada
Execução remota de código
Moderada
VBScript 5.8 no Windows Server 2008 para sistemas Service Pack 2 baseados em x64 Moderada
Execução remota de código
Moderada
VBScript 5.8 no Windows 7 para sistemas de 32 bits Service Pack 1 Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows 7 para sistemas Service Pack 1 baseados em x64 Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows Server 2008 R2 para sistemas Service Pack 1 baseados em x64 Moderada
Execução remota de código
Moderada
VBScript 5.8 no Windows Server 2008 R2 para sistemas baseados em Itanium Service Pack 1 Moderada
Execução remota de código
Mo derada
VBScript 5.8 (Internet Explorer 9)
VBScript 5.8 no Windows Vista Service Pack 2 Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows Vista x64 Edition Service Pack 2 Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows Server 2008 para sistemas de 32 bits Service Pack 2 Moderada
Execução remota de código
Moderada
VBScript 5.8 no Windows Server 2008 para sistemas Service Pack 2 baseados em x64 Moderada
Execução remota de código
Moderada
VBScript 5.8 no Windows 7 para sistemas de 32 bits Service Pack 1 Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows 7 para sistemas Service Pack 1 baseados em x64 Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows Server 2008 R2 para sistemas Service Pack 1 baseados em x64 Moderada
Execução remota de código
Moderada
VBScript 5.8 (Internet Explorer 10)
VBScript 5.8 no Windows 7 para sistemas de 32 bits Service Pack 1 Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows 7 para sistemas Service Pack 1 baseados em x64 Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows Server 2008 R2 para sistemas Service Pack 1 baseados em x64 Moderada
Execução remota de código
Moderada
VBScript 5.8 no Windows 8 para sistemas de 32 bits Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows 8 para sistemas baseados em x64 Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows Server 2012 Mode rada
Execução remota de código
Moderada
VBScript 5.8 no Windows RT Crítica
Execução remota de código
Crítica
VBScript 5.8 (Internet Explorer 11)
VBScript 5.8 no Windows 7 para sistemas de 32 bits Service Pack 1 Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows 7 para sistemas Service Pack 1 baseados em x64 Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows Server 2008 R2 para sistemas Service Pack 1 baseados em x64 Moderada
Execução remota de código
Moderada
VBScript 5.8 no Windows 8.1 para sistemas de 32 bits Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows 8.1 para sistemas baseados em x64 Crítica
Execução remota de código
Crítica
VBScript 5.8 no Windows Server 2012 R2 Moderada
Execução remota de código
Moderada
VBScript 5.8 no Windows RT 8.1 Crítica
Execução remota de código
Crítica
instalação Server Core
VBScript 5.7 no Windows Server 2008 para sistemas de 32 bits Service Pack 2 (instalação Server Core)Nenhuma classificação de gravidadeNenhuma classificação de gravidade
VBScript 5.7 no Windows Server 2008 para sistemas Service Pack 2 baseados em x64 (instalação Server Core)Nenhuma classificação de gravidadeNenhuma classificação de gravidade
VBScript 5.8 no Windows Server 2008 R2 para sistemas Service Pack 1 baseados em x64 (instalação Server Core)Nenhuma classificação de gravidadeNenhuma classificação de gravidade
VBScript 5.8 no Windows Server 2012 (instalação Server Core)Nenhuma classificação de gravidadeNenhuma classificação de gravidade
VBScript 5.8 no Windows Server 2012 R2 (instalação Server Core)Nenhuma classificação de gravidadeNenhuma classificação de gravidade

Há uma vulnerabilidade de execução remota de código na forma como o mecanismo VBScript gerencia objetos na memória. A vulnerabilidade pode corromper memória de forma que um invasor possa executar código arbitrário no contexto do usuário atual. Se um usuário atual tiver feito logon com direitos administrativos, o invasor que explorar com êxito essa vulnerabilidade poderá obter o controle total do sistema afetado. O invasor poderá instalar programas; exibir, alterar ou excluir dados; ou criar novas contas com direitos totais de usuário.

Para exibir essa vulnerabilidade como uma entrada padrão na lista Common Vulnerabilities and Exposures, consulte CVE-2014-0271.

Fatores atenuantes

A atenuação refere-se a uma configuração, configuração comum ou prática recomendada geral, existindo num estado padrão, que possa reduzir a gravidade de exploração de uma vulnerabilidade. Os fatores de atenuação a seguir podem ser úteis em sua situação:

  • Num cenário de ataque baseado na Web, um invasor pode tirar proveito de Websites comprometidos e Websites que aceitam ou hospedam conteúdo fornecido pelo usuário ou anúncios. Esses sites podem ter conteúdo especialmente criado para explorar essa vulnerabilidade. Em todos os casos, entretanto, o invasor não tem como forçar os usuários a exibir o conteúdo controlado pelo invasor. Em vez disso, o invasor precisa convencer os usuários a executar uma ação, normalmente clicando em um link em uma mensagem de email ou em uma mensagem do Instant Messenger que leve os usuários ao site do invasor ou abrindo um anexo enviado por email.
  • Por padrão, todas as versões com suporte do Microsoft Outlook, Microsoft Outlook Express e Windows Mail abrem emails em HTML na zona de sites restritos. A zona de sites restritos, que desabilita o script e os controles ActiveX, ajuda a reduzir o risco de o invasor usar scripts para explorar essa vulnerabilidade. Se um usuário clicar em um link em uma mensagem de email, ele ainda pode estar vulnerável à exploração dessa vulnerabilidade, por meio do cenário de ataque baseado na Web.
  • Por padrão, o Internet Explorer no Windows Server 2003, Windows Server 2008, Windows Server 2008 R2, Windows Server 2012 e Windows Server 2012 R2 é executado em um modo restrito, conhecido como Configuração de Segurança Reforçada. Esse modo atenua a vulnerabilidade. Consulte a seção Perguntas frequentes referente a essa vulnerabilidade para obter mais informações sobre a Configuração de Segurança Reforçada do Internet Explorer.

Soluções alternativas

A solução alternativa refere-se a uma configuração ou alteração de configuração que não corrige a vulnerabilidade subjacente mas que ajudaria a bloquear vetores de ataque conhecidos antes de aplicar a atualização. A Microsoft testou as soluções alternativas e estados a seguir como parte do cenário que implica se uma solução alternativa reduziria funcionalidade:

  • Defina as configurações de zona de seguranç a da Internet e da intranet local como “Alta” para bloquear controles ActiveX e scripts ativos nessas zonas

    Você pode ajudar na proteção contra a exploração dessa vulnerabilidade alterando suas configurações, para que a zona de segurança da Internet bloqueie controles ActiveX e scripts ativos. É possível fazer isso configurando a segurança do navegador como Alta.

    Para aumentar o nível de segurança da navegação no Internet Explorer, siga estas etapas:

    1. No menu Ferramentas do Internet Explorer, clique em Opções da Internet.
    2. Na caixa de diálogo Opções da Internet, clique na guia Segurança e, em seguida, clique em Internet.
    3. Em Nível de segurança para esta zona, mova o controle deslizante para Alto. Isso define o nível de segurança para todos os sites visitados como Alto.
    4. Clique em Intranet local.
    5. Em Nível de segurança para esta zona, mova o controle deslizante para Alto. Isso define o nível de segurança para todos os sites visitados como Alto.
    6. Clique em OK para aceitar as alterações e retornar ao Internet Explorer.

    Observação Se o controle deslizante não estiver visível, clique em Nível padrão e então mova o controle deslizante para Alto.

    Observação A configuração do nível como Alto pode fazer com que alguns sites não funcionem corretamente. Se você encontrar dificuldades ao usar um site após alterar a configuração, mas tiver certeza de que o site é seguro, é possível adicionar esse site à lista de sites confiáveis. Isso permite que o site funcione corretamente, mesmo com a configuração de segurança definida como Alta.

    Impacto da solução alternativa. Há efeitos colaterais ao bloqueio de controles ActiveX e scripts ativos. Muitos sites que não estão na Internet ou na intranet usam controles ActiveX e scripts ativos para fornecer funcionalidade adicional. Por exemplo, um site de comércio eletrônico ou bancário online pode usar controles ActiveX para fornecer menus, formulários de pedidos ou até mesmo extratos de contas. O bloqueio de controles ActiveX ou scripts ativos é uma configuração global que afeta todos os sites da Internet e da intranet. Se você não quiser bloquear controles ActiveX e scripts ativos para esses sites, use os passos descritos em “Adicione sites confiáveis à zona Sites confiáveis do Internet Explorer”.

    Adicione sites confiáveis à zona Sites confiáveis do Internet Explorer

    Depois de definir o Internet Explorer para bloquear controles ActiveX e scripts ativos na zona da Internet e da Intranet local, você pode adicionar sites confiáveis à zona de Sites confiáveis do Internet Explorer. Isso permitirá que você continue usando os sites confiáveis exatamente como faz atualmente, enquanto ajuda a se proteger contra ataques em sites não confiáveis. É recomendável adicionar somente sites nos quais você confia à zona de Sites confiáveis.

    Para isso, execute as seguintes etapas:

    1. No Internet Explorer, clique em Ferramentas, clique em Opções da Internet e, em seguida, clique na guia Segurança.
    2. Na caixa Selecione uma zona de conteúdo da Web para especificar suas configurações de segurança, clique em Sites Confiáveis e, em seguida, clique em Sites.
    3. Se desejar adicionar sites que não requeiram um canal criptografado, clique para desmarcar a caixa de diálogo Exigir verificação do servidor (https:) para todos os sites desta zona.
    4. Na caixa Adicionar este site à zona, digite a URL de um site em que confia e, em seguida, clique em Adicionar.
    5. Repita essas etapas para cada site que você deseja adicionar à zona.
    6. Clique em OK duas vezes para aceitar as alterações e retornar ao Internet Explorer.

    Observação Adicione os sites que você tem certeza de que não realizarão ações mal-intencionadas em seu sistema. Dois em particular que você pode desejar adicionar são *.windowsupdate.microsoft.com e *.update.microsoft.com. Estes são os sites que hospedam a atualização, e é preciso ter um controle ActiveX para instalar a atualização.

  • Configure o Internet Explorer para notificá-lo antes da execução de scripts ativos ou desabilite os scripts ativos na zona de segurança da Inter net e da intranet local

    Para se proteger contra a exploração dessa vulnerabilidade, altere as configurações para ser notificado antes da execução de scripts ativos ou desabilite os scripts ativos na zona de segurança da Internet e da intranet local. Para isso, execute as seguintes etapas:

    1. No Internet Explorer, clique em Opções da Internet no menu Ferramentas.
    2. Clique na guia Segurança.
    3. Clique em Internet e, em seguida, clique em Nível Personalizado.
    4. Em Configurações, na seção Script, em Scripts Ativos, clique em Avisar  ou Desativar e, em seguida, clique em OK.
    5. Clique em Intranet local e, em seguida, clique em Nível Personalizado.
    6. Em Configurações, na seção Script, em Scripts Ativos, clique em Avisar  ou Desativar e, em seguida, clique em OK.
    7. Clique em OK duas vezes para retornar ao Internet Explorer.

    Observação Desabilitar os scripts ativos nas zonas de segurança da Internet e da intranet local poderá fazer com que alguns sites não funcionem corretamente. Se você encontrar dificuldades ao usar um site após alterar a configuração, mas tiver certeza de que o site é seguro, é possível adicionar esse site à lista de sites confiáveis. Isso permitirá que o site funcione adequadamente.

    Impacto da solução alternativa. Há efeitos colaterais para notificação antes da execução de scripts ativos. Muitos sites que não estão na Internet ou na intranet usam scripts ativos para fornecer funcionalidade adicional. Por exemplo, um site de comércio eletrônico ou bancário online pode usar controles ActiveX para fornecer menus, formulários de pedidos ou até mesmo extratos de contas. A notificação antes da execução dos scripts ativos é uma configuração global que afeta todos os sites da Internet e da intranet. Você será notificado frequentemente quando ativar essa solução alternativa. Para cada notificação, se achar que confia no site que está visitando, clique em Sim para executar os scripts ativos. Se não quiser ser avisado para todos esses sites, use os passos descritos em “Adicione sites confiáveis à zona Sites confiáveis do Internet Explorer”.

    Adicione sites confiáveis à zona Sites c onfiáveis do Internet Explorer

    Depois de definir o Internet Explorer para solicitar confirmação antes de executar controles ActiveX e scripts ativos na zona da Internet e da Intranet local, você pode adicionar sites confiáveis à zona de Sites confiáveis do Internet Explorer. Isso permitirá que você continue usando os sites confiáveis exatamente como faz atualmente, enquanto ajuda a proteger-se de ataques em sites não confiáveis. É recomendável adicionar somente sites nos quais você confia à zona de Sites confiáveis.

    Para isso, execute as seguintes etapas:

    1. No Internet Explorer, clique em Ferramentas, clique em Opções da Internet e, em seguida, clique na guia Segurança.
    2. Na caixa Selecione uma zona de conteúdo da Web para especificar suas configurações de segurança, clique em Sites Confiáveis e, em seguida, clique em Sites.
    3. Se desejar adicionar sites que não requeiram um canal criptografado, clique para desmarcar a caixa de diálogo Exigir verificação do servidor (https:) para todos os sites desta zona.
    4. Na caixa Adicionar este site à zona, digite a URL de um site em que confia e, em seguida, clique em Adicionar.
    5. Repita essas etapas para cada site que você deseja adicionar à zona.
    6. Clique em OK duas vezes para aceitar as alterações e retornar ao Internet Explorer.

    O bservação Adicione os sites que você tem certeza de que não realizarão ações mal-intencionadas em seu sistema. Dois em particular que você pode desejar adicionar são *.windowsupdate.microsoft.com e *.update.microsoft.com. Estes são os sites que hospedam a atualização, e é preciso ter um controle ActiveX para instalar a atualização.

Perguntas frequentes

Qual é o escopo da vulnerabilidade? 
Essa é uma vulnerabilidade de execução remota de código.

O que provoca a vulnerabilidade? 
A vulnerabilidade é causada quando o mecanismo VBScript renderizado no Internet Explorer não gerencia adequadamente os objetos na memória.

O que é o VBScript? 
O VBScript (Visual Basic Script) é uma linguagem de scripts interpretada e baseada em objetos, frequentemente usada para deixar os sites mais flexíveis ou interativos. Os scripts VBScript podem ser executados somente na presença de um intérprete ou host, como Active Server Pages (ASP), Internet Explorer ou Windows Script Host. Para obter mais informações, consulte Fundamentos do VBScript (em inglês).

Para que um invasor pode usar a vulnerabilidad e? 
O invasor que explorar com êxito essa vulnerabilidade poderá obter os mesmos direitos que o usuário atual. Se um usuário atual tiver feito logon com direitos administrativos, o invasor que explorar com êxito essa vulnerabilidade poderá obter o controle total do sistema afetado. O invasor poderá instalar programas; exibir, alterar ou excluir dados; ou criar novas contas com direitos totais de usuário.

De que forma o invasor pode explorar a vulnerabilidade? 
Em um cenário de ataque com base na Web, o invasor pode hospedar um site especialmente projetado para explorar esta vulnerabilidade através do Internet Explorer e, então, convencer um usuário a exibir o site. O invasor também pode incorporar um controle ActiveX marcado como "seguro para inicialização" em um aplicativo ou documento do Microsoft Office que hospede o mecanismo de processamento do IE. O invasor também pode tirar proveito dos sites comprometidos e de sites que aceitam ou hospedam o conteúdo fornecido pelo usuário ou anúncios. Esses sites podem ter conteúdo especialmente criado para explorar essa vulnerabilidade. Em todos os casos, entretanto, o invasor não tem como forçar os usuários a exibir o conteúdo controlado pelo invasor. Em vez disso, o invasor precisa convencer os usuários a executar uma ação, normalmente clicando em um link em uma mensagem de email ou em uma mensagem do Instant Messenger que leve os usuários ao site do invasor ou abrindo um anexo enviado por email.

Quais são os principais sistemas que correm riscos com a vulnerabilid ade? 
Sistemas em que o Internet Explorer é usado com frequência, como estações de trabalho ou servidores de terminal, estão mais expostos a essa vulnerabilidade.

Estou executando o Internet Explorer para Windows Server 2003, Windows Server 2008, Windows S erver 2008 R2, Windows Server 2012 ou Windows Server 2012 R2. Isso atenua essa vulnerabilidade? 
Sim. Por padrão, o Internet Explorer no Windows Server 2003, Windows Server 2008, Windows Server 2008 R2, Windows Server 2012 e Windows Server 2012 R2 é executado em um modo restrito, conhecido como Configuração de Segurança Reforçada. A Configuração de Segurança Reforçada é um grupo de configurações predefinidas do Internet Explorer que reduz a probabilidade de um usuário ou administrador baixar e executar um conteúdo da Web especialmente criado em um servidor. Este é um fator atenuante para sites que não tenham sido adicionados à zona Sites confiáveis do Internet Explorer.

O que a atualização faz? 
A atualização elimina a vulnerabilidade, modificando a maneira como o mecanismo de script VBScript gerencia objetos na memória.

Quando esse boletim de segurança foi emitido, essa vulnerabilidade já tinha sido divulgada publicamente? 
Não. A Microsoft recebeu informações sobre esta vulnerabilidade por meio da divulgação coordenada de vulnerabilidades.

Quando este boletim de segurança foi lançado, a Microsoft recebeu algum relatório informando que essas vulnerabilidades estavam sendo exploradas? 
Não. A Microsoft não recebeu nenhuma informação indicando que essa vulnerabilidade tinha sido usada publicamente para atacar clientes quando este boletim de segurança foi lançado pela primeira vez.

Informações da atualização

Vários recursos estão disponíveis para ajudar administradores a implantar atualizações de segurança. 

  • O MBSA (Microsoft Baseline Security Analyzer) permite aos administradores pesquisar, em sistemas locais e remotos, atualizações de segurança ausentes e problemas de configuração de segurança comuns. 
  • O WSUS (Windows Server Update Services), SMS (Systems Management Server) e SCCM (System Center Configuration Manager) ajudam os administradores a distribuir as atualizações de segurança. 
  • Os componentes do Avaliador de compatibilidade com atualizações, incluídos no Kit de ferramentas de compatibilidade de aplicativos, auxilia a otimizar os testes e a validação das atualizações do Windows com relação aos aplicativos instalados. 

Para informações sobre estas e outras ferramentas que estão disponíveis, consulte Ferramentas de segurança para profissionais de TI.

Softwares afetados

Para obter informações sobre uma atualização de segurança específica para seu software afetado, clique no link apropriado:

Windows XP (todas as edições)

Tabela de referência

A tabela a seguir contém as informações de atualização de segurança desse software.

Nomes d os arquivos de atualização de segurança Para VBScript 5.6 em todas as edições do Windows XP baseadas em x64 com suporte:
WindowsServer2003.WindowsXP-KB2909213-x64-ENU.exe
Para VBScript 5.7 em todas as edições de 32 bits do Windows XP com suporte:
WindowsXP-KB2909212-x86-ENU.exe
Para VBScript 5.7 em todas as edições do Windows XP baseadas em x64 com suporte:
WindowsServer2003.WindowsXP-KB2909212-x64-ENU.exe
Para VBScript 5.8 (Internet Explorer 8) em todas as edições de 32 bits do Windows XP com suporte:
IE8-WindowsXP-KB2909210-x86-ENU.exe
Para VBScript 5.8 (Internet Explorer 8) em todas as edições do Windows XP baseadas em x64 com suporte:
IE8-WindowsServer2003.WindowsXP-KB2909210-x64-ENU.exe
Opções de instalação Consulte o artigo 262841 (em inglês) da Microsoft Knowledge Base
Arquivo de log de atualização Para VBScript 5.6 em edições do Windows XP baseadas em x64 com suporte:
KB2909213.log
Para VBScript 5.7 em todas as edições do Windows XP com suporte:
KB2909212.log
Para Internet Explorer 8 para todas as edições do Windows XP com suporte:
KB2909210-IE8.log
Requisitos de reinicialização Em alguns casos, esta atualização não exige a reinicialização. Se os arquivos exigidos estiverem em uso, será necessária uma reinicialização. Se isso ocorrer, uma mensagem que aconselha a reinicialização será exibida.
Informações sobre remoção Para VBScript 5.6 em edições do Windows XP baseadas em x64 com suporte:
Use o item Adicionar ou remover programas no Painel de controle ou o utilitário Spuninst.exe localizado na pasta %Windir%\$NTUninstallKB2909213$\Spuninst
Para VBScript 5.7 em todas as edições do Windows XP com suporte:
Use o item Adicionar ou remover programas no Painel de controle ou o utilitário Spuninst.exe localizado na pasta %Windir%\$NTUninstallKB2909212$\Spuninst
Para Internet Explorer 8 para todas as edições do Windows XP com suporte:
Use o item Adicionar ou Remover Programas no Painel de Controle ou o utilitário Spuninst.exe, localizado na pasta %Windir%\ie8updates\KB2909210-IE8\spuninst
Informações sobre o arquivo Consulte o artigo 2909213 (em inglês) da Base de dados de conhecimento Microsoft.
Consulte o artigo 2909212 (em inglês) da Base de dados de conhecimento Microsoft.
Consulte o artigo 2909210 (em inglês) da Base de dados de conhecimento Microsoft.
Verificação da chave de registro Para VBScript 5.6 em todas as edições do Windows XP baseadas em x64 com suporte:
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows XP Version 2003\SP3\KB2909213\Filelist
Para VBScript 5.7 em todas as edições de 32 bits do Windows XP com suporte:
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows XP\SP4\KB2909212\Filelist
Para VBScript 5.7 em todas as edições do Windows XP baseadas em x64 com suporte:
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows XP Version 2003\SP3\KB2909212\Filelist
Para VBScript 5.8 (Internet Explorer 8) em todas as edições de 32 bits do Windows XP com suporte:
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows XP\SP0\KB2909210-IE8\Filelist
Para VBScript 5.8 (Internet Explorer 8) em todas as edições do Windows XP baseadas em x64 com suporte:
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows XP Version 2003\SP0\KB2909210-IE8\Filelist

Observação As atualizações para as versões com suporte do Windows XP Professional x64 Edition também se aplicam a versões suportadas do Windows Server 2003 x64 Edition.

Windows Server 2003 (todas as edições)

Tabela de referência

A tabela a seguir contém as informações de atualização de segurança desse software.

Nomes dos arquivos de atualização de segurança Para VBScript 5.6 em todas as edições de 32 bits do Windows Server 2003 com suporte:
WindowsServer2003-KB2909213-x86-ENU.exe
Para VBScript 5.6 em todas as edições do Windows Server 2003 baseadas em x64 com suporte:
WindowsServer2003.WindowsXP-KB2909213-x64-ENU.exe
Para VBScript 5.6 em todas as edições do Windows Server 2003 baseadas em Itanium com suporte:
WindowsServer2003-KB2909213-ia64-ENU.exe
Para VBScript 5.7 em todas as edições de 32 bits do Windows Server 2003 com suporte:
WindowsServer2003-KB2909212-x86-ENU.exe
Para VBScript 5.7 em todas as edições do Windows Server 2003 baseadas em x64 com suporte:
WindowsServer2003.WindowsXP-KB2909212-x64-ENU.exe
Para VBScript 5.7 em todas as edições do Windows Server 2003 baseadas em Itanium com suporte:
WindowsServer2003-KB2909212-ia64-ENU.exe
Para VBScript 5.8 (Internet Explorer 8) em todas as edições de 32 bits do Windows Server 2003 com suporte:
IE8-WindowsServer2003-KB2909210-x86-ENU.exe
Para VBScript 5.8 (Internet Explorer 8) em todas as edições do Windows Server 2003 baseadas em x64 com suporte:
IE8-WindowsServer2003.WindowsXP-KB2909210-x64-ENU.exe
Opções de instalação Consulte o artigo 262841 (em inglês) da Microsoft Knowledge Base
Arquivo de log de atualização Para VBScript 5.6 em todas as edições de 32 bits, baseadas em x64 e baseadas em Itanium do Windows Server 2003 com suporte:
KB2909213.log
Para VBScript 5.7 em todas as edições de 32 bits, baseadas em x64 e baseadas em Itanium do Windows Server 2003 com suporte:
KB2909212.log
Para Internet Explorer 8 para todas as edições de 32 bits e edições baseadas em x64 com suporte do Windows Server 2003:
KB2909210-IE8.log
Requisitos de reinicialização Em alguns casos, esta atualização não exige a reinicialização. Se os arquivos exigidos estiverem em uso, será necessária uma reinicialização. Se isso ocorrer, uma mensagem que aconselha a reinicialização será exibida.
Informações sobre remoção Para VBScript 5.6 em todas as edições de 32 bits, baseadas em x64 e baseadas em Itanium do Windows Server 2003 com suporte:
Use o item Adicionar ou Remover Programas no Painel de Controle ou o utilitário Spuninst.exe, localizado na pasta %Windir%\$NTUninstallKB2909213$\Spuninst
Para VBScript 5.7 em todas as edições de 32 bits, baseadas em x64 e baseadas em Itanium do Windows Server 2003 com suporte:
Use o item Adicionar ou remover programas no Painel de controle ou o utilitário Spuninst.exe localizado na pasta %Windir%\$NTUninstallKB2909212$\Spuninst
Para Internet Explorer 8 para todas as edições de 32 bits e edições baseadas em x64 com suporte do Windows Server 2003:
Use o item Adicionar ou Remover Programas no Painel de Controle ou o utilitário Spuninst.exe, localizado na pasta %Windir%\ie8updates\KB2909210-IE8\spuninst
Informações sobre o arquivo Consulte o artigo 2909213 (em inglês) da Base de dados de conhecimento Microsoft.
Consulte o artigo 2909212 (em inglês) da Base de dados de conhecimento Microsoft.
Consulte o artigo 2909210 (em inglês) da Base de dados de conhecimento Microsoft.
Verificação da chave de registro Para VBScript 5.6 em todas as edições de 32 bits, baseadas em x64 e baseadas em Itanium do Windows Server 2003 com suporte:
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows Server 2003\SP3\KB2909213\Filelist
Para VBScript 5.7 em todas as edições de 32 bits, baseadas em x64 e baseadas em Itanium do Windows Server 2003 com suporte:
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows Server 2003\SP3\KB2909212\Filelist
Para Internet Explorer 8 para todas as edições de 32 bits e edições baseadas em x64 com suporte do Windows Server 2003:
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows Server 2003\SP0\KB2909210-IE8\Filelist

Observação As atualizações para as versões com suporte do Windows Server 2003 x64 Edition também se aplicam a versões suportadas do Windows XP Professional x64 Edition.

Windows Vista (todas as edições)

Tabela de referência

A tabela a seguir contém as informações de atualização de segurança desse software.

Nomes dos arquivos de atualização de segurança Para VBScript 5.7 em todas as edições de 32 bits com suporte do Windows Vista:
Windows6.0-KB2909212-x86.msu
Para VBScript 5.7 em todas as edições baseadas em x64 com suporte do Windows Vista:
Windows6.0-KB2909212-x64.msu
Para VBScript 5.8 (Internet Explorer 8) em todas as edições de 32 bits do Windows Vista com suporte:
IE8-Windows6.0-KB2909210-x86.msu
Para VBScript 5.8 (Internet Explorer 8) em todas as edições do Windows Vista baseadas em x64 com suporte:
IE8-Windows6.0-KB2909210-x64.msu
Opções de instalação Consulte o artigo 934307 (em inglês) da Microsoft Knowledge Base
Requisitos de reinicialização Em alguns casos, esta atualização não exige a reinicialização. Se os arquivos exigidos estiverem em uso, será necessária uma reinicialização. Se isso ocorrer, uma mensagem que aconselha a reinicialização será exibida.
Informações sobre remoção O WUSA.exe não oferece suporte à desinstalação de atualizações. Para desinstalar uma atualização instalada por WUSA, clique em Painel de Controle e em Segurança. No Windows Update, clica em Exibir atualizações instaladas e seleciona a partir da lista de atualizações.
Informações sobre o arquivo Consulte o artigo 2909212 (em inglês) da Base de dados de conhecimento Microsoft.
Consulte o artigo 2909210 (em inglês) da Base de dados de conhecimento Microsoft.
Verificação da chave de registro Observação Não existe uma chave do Registro para validar a presença dessa atualização.

Windows Server 2008 (todas as edições)

Tabela de referência

A tabela a seguir contém as informações de atualização de segurança desse software.

Nomes dos arquivos de atualização de segurança Para VBScript 5.7 em todas as edições de 32 bits com suporte do Windows Server 2008:
Windows6.0-KB2909212-x86.msu
Para VBScript 5.7 em todas as edições baseadas em x64 com suporte do Windows Server 2008:
Windows6.0-KB2909212-x64.msu
Para VBScript 5.7 em todas as edições baseadas no Itanium com suporte do Windows Server 2008:
Windows6.0-KB2909212-ia64.msu
Para VBScript 5.8 (Internet Explorer 8) em todas as edições de 32 bits do Windows Server 2008 com suporte:
IE8-Windows6.0-KB2909210-x86.msu
Para VBScript 5.8 (Internet Explorer 8) em todas as edições do Windows Server 2008 baseadas em x64 com suporte:
IE8-Windows6.0-KB2909210-x64.msu
Opções de instalação Consulte o artigo 934307 (em inglês) da Microsoft Knowledge Base
Requisitos de reinicialização Em alguns casos, esta atualização não exige a reinicialização. Se os arquivos exigidos estiverem em uso, será necessária uma reinicialização. Se isso ocorrer, uma mensagem que aconselha a reinicialização será exibida.
Informações sobre remoção O WUSA.exe não oferece suporte à desinstalação de atualizações. Para desinstalar uma atualização instalada por WUSA, clique em Painel de Controle e em Segurança. No Windows Update, clica em Exibir atualizações instaladas e seleciona a partir da lista de atualizações.
Informações sobre o arquivo Consulte o artigo 2909212 (em inglês) da Base de dados de conhecimento Microsoft.
Consulte o artigo 2909210 (em inglês) da Base de dados de conhecimento Microsoft.
Verificação da chave de registro Observação Não existe uma chave do Registro para validar a presença dessa atualização.

Windows 7 (todas as edições)

Tabela de referência

A tabela a seguir contém as informações de atualização de segurança desse software.

Nome do arquivo de atualização de segurança Para VBScript 5.8 (Internet Explorer 8) em todas as edições de 32 bits do Windows 7 com suporte:
Windows6.1-KB2909210-x86.msu
Para VBScript 5.8 (Internet Explorer 8) em todas as edições do Windows 7 baseadas em x64 com suporte:
Windows6.1-KB2909210-x64.msu
Para VBScript 5.8 (Internet Explorer 10) no Windows 7 para sistemas de 32 bits Service Pack 1:
IE10-Windows6.1-KB2909210-x86.msu
Para VBScript 5.8 (Internet Explorer 10) no Windows 7 para sistemas Service Pack 1 baseados em x64:
IE10-Windows6.1-KB2909210-x64.msu
Para VBScript 5.8 (Internet Explorer 11) no Windows 7 para sistemas de 32 bits Service Pack 1:
IE11-Windows6.1-KB2909210-x86.msu
Para VBScript 5.8 (Internet Explorer 11) no Windows 7 para sistemas Service Pack 1 baseados em x64:
IE11-Windows6.1-KB2909210-x64.msu
Opções de instalação Consulte o artigo 934307 (em inglês) da Microsoft Knowledge Base
Requisitos de reinicialização Em alguns casos, esta atualização não exige a reinicialização. Se os arquivos exigidos estiverem em uso, será necessária uma reinicialização. Se isso ocorrer, uma mensagem que aconselha a reinicialização será exibida.
Informações sobre remoção Para desinstalar uma atualização instalada pelo WUSA, use a opção de instalação /Uninstall ou clique em Painel de Controle e em Sistema e Segurança; depois, no Windows Update, clique em Exibir atualizações instaladas e faça sua seleção na lista de atualizações.
Info rmações sobre o arquivo Consulte o artigo 2909210 (em inglês) da Base de dados de conhecimento Microsoft.
Verificação da chave de registro Observação Não existe uma chave do Registro para validar a presença dessa atualização.

Windows Server 2008 R2 (todas as edições)

Tabela de referência

A tabela a seguir contém as informações de atualização de segurança desse software.

Nome do arquivo de atualização de segurança Para VBScript 5.8 (Internet Explorer 8) em todas as edições do Windows Server 2008 R2 baseadas em x64 com suporte:
Windows6.1-KB2909210-x64.msu
Para VBScript 5.8 (Internet Explorer 8) em todas as edições do Windows Server 2008 R2 baseadas em Itanium com suporte:
Windows6.1-KB2909210-ia64.msu
Para VBScript 5.8 (Internet Explorer 10) no Windows Server 2008 R2 para sistemas Service Pack 1 baseados em x64:
IE10-Windows6.1-KB2909210-x64.msu
Para VBScript 5.8 (Internet Explorer 11) no Windows Server 2008 R2 para sistemas Service Pack 1 baseados em x64:
IE11-Windows6.1-KB2909210-x64.msu
Opções de instalação Consulte o artigo 934307 (em inglês) da Microsoft Knowledge Base
Requisitos de reinicialização Em alguns casos, esta atualização não exige a reinicialização. Se os arquivos exigidos estiverem em uso, será necessária uma reinicialização. Se isso ocorrer, uma mensagem que aconselha a reinicialização será exibida.
Informações sobre remoção Para desinstalar uma atualização instalada pelo WUSA, use a opção de instalação /Uninstall ou clique em Painel de Controle e em Sistema e Segurança; depois, no Windows Update, clique em Exibir atualizações instaladas e faça sua seleção na lista de atualizações.
Informaçõ es sobre o arquivo Consulte o artigo 2909210 (em inglês) da Base de dados de conhecimento Microsoft.
Verificação da chave de registro Observação Não existe uma chave do Registro para validar a presença dessa atualização.

Windows 8 e Windows 8.1 (todas as edições)

Tabela de referência

A tabela a seguir contém as informações de atualização de segurança desse software.

Nome do arquivo de atualizaçã o de segurança Para VBScript 5.8 (Internet Explorer 10) em todas as edições de 32 bits do Windows 8 com suporte:
Windows8-RT-KB2909210-x86.msu
Para VBScript 5.8 (Internet Explorer 10) em todas as edições do Windows 8 baseadas em x64 com suporte:
Windows8-RT-KB2909210-x64.msu
Para VBScript 5.8 (Internet Explorer 11) em todas as edições de 32 bits do Windows 8.1 com suporte:
Windows8.1-KB2909210-x86.msu
Para VBScript 5.8 (Internet Explorer 11) em todas as edições do Windows 8 baseadas em x64 com suporte:
Windows8.1-KB2909210-x64.msu
Opções de instalação Consulte o artigo 934307 (em inglês) da Microsoft Knowledge Base
Requisitos de reinicialização Em alguns casos, esta atualização não exige a reinicialização. Se os arquivos exigidos estiverem em uso, será necessária uma reinicialização. Se isso ocorrer, uma mensagem que aconselha a reinicialização será exibida.
Informações sobre remoção Para desinstalar uma atualização instalada pelo WUSA, use a opção /Uninstall ou clique em Painel de Controle, Sistema e Segurança; depois clique no Windows Update, e, abaixo de Veja também, clique em Atualizações instaladas e selecione uma opção na lista.
Informaçõe s sobre o arquivo Consulte o artigo 2909210 (em inglês) da Base de dados de conhecimento Microsoft.
Verificação da chave de registro Observação Não existe uma chave do Registro para validar a presença dessa atualização.

Windows Server 2012 e Windows Server 2012 R2 (todas as edições)

Tabela de referência

A tabela a seguir contém as informações de atualização de segurança desse software.

Nome do arquivo de atualização de segurança Para VBScript 5.8 (Internet Explorer 10) em todas as edições do Windows Server 2012 com suporte:
Windows8-RT-KB2909210-x64.msu
Para VBScript 5.8 (Internet Explorer 11) em todas as edições do Windows Server 2012 R2 com suporte:
Windows8.1-KB2909210-x64.msu
Opções de instalação Consulte o artigo 934307 (em inglês) da Microsoft Knowledge Base
Requisitos de reinicialização Em alguns casos, esta atualização não exige a reinicialização. Se os arquivos exigidos estiverem em uso, será necessária uma reinicialização. Se isso ocorrer, uma mensagem que aconselha a reinicialização será exibida.
Informações sobre remoção Para desinstalar uma atualização instalada pelo WUSA, use a opção /Uninstall ou clique em Painel de Controle, Sistema e Segurança; depois clique no Windows Update, e, abaixo de Veja também, clique em Atualizações instaladas e selecione uma opção na lista.
Informações sobre o arquivo Consulte o artigo 2909210 (em inglês) da Base de dados de conhecimento Microsoft.
Verificação da chave de registro Observação Não existe uma chave do Registro para validar a presença dessa atualização.

Windows RT e Windows RT 8.1 (todas as edições)

Tabela de referência

A tabela a seguir contém as informações de atualização de segurança desse software.

Implantação Esta atualização está disponível no Windows Update.
Requisitos de reinicialização Em alguns casos, esta atualização não exige a reinicialização. Se os arquivos exigidos estiverem em uso, será necessária uma reinicialização. Se isso ocorrer, uma mensagem que aconselha a reinicialização será exibida.
Informações sobre remoção Clique em Painel de controle, em Sistema e segurança e, em Windows Update, e, abaixo de Veja também, clique em Atualizações instaladas e selecione uma opção na lista.
Informações sobre o arquivo Não Aplicável

Outras informações

Microsoft Active Protections Program (MAPP)

Para melhorar as proteções de segurança para os clientes, a Microsoft fornece informações sobre vulnerabilidades aos principais fornecedores de software de segurança antes do lançamento de cada atualização de segurança mensal. Assim, os fornecedores de software de segurança podem usar essas informações sobre vulnerabilidades para fornecer proteções atualizadas aos clientes por meio de seus softwares ou dispositivos de segurança, como antivírus, sistemas de detecção de invasões baseados em rede ou sistemas de prevenção de invasões baseados em host. Para determinar se os fornecedores de software de segurança estão disponibilizando proteções ativas, visite os sites de proteções ativas fornecidos pelos parceiros do programa, listados em Parceiros do Microsoft Active Protections Program (MAPP).

Suporte

Como obter ajuda e suporte para esta atualização de segurança

Aviso de isenção de responsabilidade

As informações fornecidas na Microsoft Knowledge Base são apresentadas "no estado em que se encontram", sem garantia de qualquer tipo. A Microsoft se isenta de todas as garantias, expressas ou implícitas, inclusive as garantias de comercialização e adequação a um propósito específico. Em hipótese alguma a Microsoft Corporation ou seus fornecedores serão responsáveis por quaisquer danos, inclusive danos diretos, indiretos, incidentais, consequenciais, danos por lucros cessantes ou danos especiais, mesmo que a Microsoft Corporation ou seus fornecedores tenham sido alertados da possibilidade dos referidos danos. Como alguns estados não permitem a exclusão ou limitação de responsabilidade por danos consequenciais ou indiretos, a limitação acima pode não ser aplicável a você.

Revisões

  • V1.0 (11 de fevereiro de 2014): Boletim publicado.

Built at 2014-04-18T01:50:00Z-07:00

Mostrar:
© 2016 Microsoft